
Redmine - Feature #40092

Drop FastCGI support

2024-01-22 15:02 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

As you can see in the changelog of Rack, the FastCGI handler has been removed in Rack 3.0.0. This means that Redmine's code to

support FastCGI, which relies on Rack::Handler::FastCGI, no longer works.

- Removed antiquated handlers: FCGI, LSWS, SCGI, Thin. ([#1658](https://github.com/rack/rack/pull/

1658), [@ioquatix])

 It is time to remove the code that no longer works and end support for FastCGI, as FastCGI is no longer a major option for deploying

Ruby on Rails applications.

Associated revisions

Revision 22655 - 2024-01-28 01:59 - Go MAEDA

Drop FastCGI support (#40092).

History

#1 - 2024-01-24 05:26 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2024-01-26 07:35 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#3 - 2024-01-26 15:25 - Holger Just

LGTM!

#4 - 2024-01-28 02:00 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Removed FastCGI configuration examples in r22655.

Files

0001-Remove-FastCGI-example-files-to-drop-FastCGI-support.patch 2.79 KB 2024-01-22 Go MAEDA
